Announcement

Collapse
No announcement yet.

PHP 5.3 To 5.4

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • PHP 5.3 To 5.4

    Hi,

    We are currently running Scriptcase 6 and 7 on our hosted VPS which is running PHP 5.3. It would appear that Scriptcase 8 requires PHP 5.4.

    I can email our hosting provider and ask them to upgrade our VPS to PHP 5.4, but will this break the existing Scriptcase installations?

    Any info would be appreciated.

    Thanks,




    Mike

  • #2
    There are many hosts where you can change the PHP version yourself.
    There's an example at http://stackoverflow.com/questions/1...cess-in-server
    Maybe your host is allowing this. Just check it out

    Comment


    • #3
      Thanks for the reply. Changing the PHP version should not be a problem for us, what I would like to know is if my existing Scriptcase 6 & 7 development environments will continue to work with PHP 5.4???

      At the moment we have both SC6 and SC7 installed in separate folders on the same server.

      Any info anybody has regarding this would be appreciated.

      Comment


      • #4
        Hi Mike
        I can't comment on V6 but can say that I have latest SC7 running on 5.4 without issue.

        Kevin
        Best regards,
        Kevin

        Kevin Barham
        Promofinity.com

        Comment


        • #5
          We are running on 5.4 as well with no problems..

          Comment


          • #6
            Hi Guys,

            Thanks for the replies. If it's of use to anyone in the future here's what I found after updating to PHP 5.4.....

            1) Scriptcase 8 works great. :-)
            2) My version of Scriptcase 7.1 was created specifically to run on PHP 5.3 (This version does not seem to be available for download any more). Backed up my 7.1 projects using the SC backup routine and installed the current download for 7.1 from the Scriptcase downloads page. Restored my backup and all seems to be working fine now.
            3) Scriptcase 6 does NOT work with PHP 5.4.

            Also, does anyone know why not all of the images get backed up / restored when you backup and restore a SC project? To my knowledge it has always been this way and it's quite frustrating as I have to manually restore them to each project's img folder.

            Once again, thanks for the input.

            Cheers,




            Mike

            Comment


            • #7
              Mike
              6 doesn't work with 5.4 at all???

              Screwed in Florida AGAIN

              Comment


              • #8
                Originally posted by Kdriscoll View Post
                Mike
                6 doesn't work with 5.4 at all???

                Screwed in Florida AGAIN
                Unfortunately the Scriptcase version 6 available for download on the Scriptcase website is encoded for the PHP 5.3 version of the Zend Guard Loader. When you upgrade to PHP 5.4 the Zend Guard also has to be updated, so this is why it does not work.

                If anyone from Netmake is listening a version 6 edition for PHP 5.4 would really be quite nice as we have a lot of projects still written in six.

                Cheers,



                Mike

                Comment


                • #9
                  I would like to install SC 8 into the MAMP stack and add Zend Guard Loader so I'm not running two servers, but may just take the easy way out and do the complete, automated installation. Even though SC recommends against it, I've been using SC and it's stack in tandem with the MAMP stack for about a year now with no issues.
                  http://www.uni-ulm.de/
                  http://www.vcefiles.net/notes/vce-download.php
                  http://ucsd.edu/
                  https://www.facebook.com/pages/Ameri...ne/64402266263
                  http://www.vcefiles.net/notes/vce-download.php

                  Comment


                  • #10
                    Try use Hoo.st
                    You can select your php, 5.4, 5.5, 5.6...
                    ANd have one month of test with coupon 1MONTHFREE

                    Comment

                    Working...
                    X